<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.query">var.query</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>true&lt;/result>&lt;overallResult>true&lt;/overallResult>&lt;responses>&lt;response>&lt;result>true&lt;/result>&lt;body>&lt;queries>&lt;query>&lt;id>41&lt;/id>&lt;displayName>kjjkjk&lt;/displayName>&lt;visibility>user&lt;/visibility>&lt;description>kjjkjk&lt;/description>&lt;filters>&lt;filter>&lt;key>globalSearch&lt;/key>&lt;operator>contains&lt;/operator>&lt;value/>&lt;/filter>&lt;filter>&lt;key/>&lt;operator/>&lt;value/>&lt;/filter>&lt;/filters>&lt;createdOn>2025-06-24T14:01:44.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2025-06-24T14:01:44.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>133&lt;/id>&lt;displayName>Query 133&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description/>&lt;filters/>&lt;createdOn>2026-02-17T16:22:32.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T16:22:32.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>134&lt;/id>&lt;displayName>Orange&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description>Orange&lt;/description>&lt;filters/>&lt;createdOn>2026-02-17T16:22:33.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T16:22:33.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>135&lt;/id>&lt;displayName>Zitrone&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description>Zitrone&lt;/description>&lt;filters/>&lt;createdOn>2026-02-17T16:22:33.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T16:22:33.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>136&lt;/id>&lt;displayName>Apfelsine&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description>Apfelsine&lt;/description>&lt;filters/>&lt;createdOn>2026-02-17T16:22:34.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T16:22:34.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;/queries>&lt;total>5&lt;/total>&lt;/body>&lt;/response>&lt;/responses>&lt;log>&lt;entries/>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">2440</Property>
		<Property name="ISCurrentTime" type="Long">1771948684032</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_call_api</Property>
		<Property name="ISModuleName">VAM_zzz_test_validate_each_response</Property>
		<Property name="ISModuleId">438</Property>
		<Property name="ISProcessId">501940</Property>
		<Property name="ISUserName">ckaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">172.17.0.1</Property>
		<Property name="ISGlobalProcessId">501940</Property>
		<Property name="ISInvokingWorkflow">VAM_api_zzz_test_queries_filter</Property>
		<Property name="ISInvokingModule">VAM_zzz_WFC_test_query_query</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="var.organizationId">zzztest</Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;login>bpcadmin&lt;/login>&lt;/userContext></Property>
		<Property name="demux.totalIterations" type="Integer">2</Property>
		<Property name="demux.iterator" type="Integer">1</Property>
		<Property name="var.query" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;item>&lt;response>&lt;item>Hallo&lt;/item>&lt;item>Zitrone&lt;/item>&lt;/response>&lt;/item></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.query" as="element()"/>
  &lt;xsl:template match="/*">&lt;root>&lt;xsl:variable name="var.expected" as="element()*">&lt;xsl:sequence select="$var.query/response/item"/>&lt;/xsl:variable>&lt;xsl:variable name="var.actual" as="element()*" select="responses/response/body/queries/query/description"/>&lt;xsl:for-each select="$var.expected">&lt;xsl:if test="not(exists($var.actual[. = current()]))">&lt;item>&lt;xsl:value-of select="concat('Missing: &amp;lt;', ., '&amp;gt;')"/>&lt;/item>&lt;/xsl:if>&lt;/xsl:for-each>&lt;xsl:for-each select="$var.actual">&lt;xsl:if test="not(exists($var.expected[. = current()]))">&lt;item>&lt;xsl:value-of select="concat('Extra: &amp;lt;', ., '&amp;gt;')"/>&lt;/item>&lt;/xsl:if>&lt;/xsl:for-each>&lt;/root>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>